<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * @var array  $field
 * @var mixed  $value
 * @var string $name_base
 */
?>
<input type="text"
       id="cn-field-<?php echo esc_attr( $field['id'] ); ?>"
       name="<?php echo esc_attr( $name_base ); ?>"
       value="<?php echo esc_attr( is_scalar( $value ) ? $value : '' ); ?>"
       class="cn-input cn-input-text"
       <?php echo ! empty( $field['placeholder'] ) ? 'placeholder="' . esc_attr( $field['placeholder'] ) . '"' : ''; ?> />
